/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#include "TasksFile.h"
#include "core/BaseFileResource.h"

QString QMLTasksFile::getName()
{
	return QString::fromStdString(tasksFile->getName());
}

QString QMLTasksFile::getPath()
{
	auto fileResource = dynamic_cast<mirai::BaseFileResource *>(tasksFile);
	if (!fileResource) {
		return "";
	}
	return QString::fromStdString(fileResource->getPath());
}
