/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#ifndef QML_TASKSFILE_H
#define QML_TASKSFILE_H

#include "QtCore/qvariant.h"
#include "core/BaseFileResource.h"
#include <QtCore/QString>
#include <QtQml/qqmlregistration.h>

struct QMLTasksFile {

	Q_GADGET
	Q_PROPERTY(QString name READ getName)
	Q_PROPERTY(QString path READ getPath)
	QML_VALUE_TYPE(tasksFile)

  public:
	QString getName();
	QString getPath();

	mirai::BaseResource *tasksFile;
};

#endif
