/*
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

#ifndef QML_TAG_H
#define QML_TAG_H

#include <QtCore/QString>
#include <QtQml/qqmlregistration.h>
#include <qobjectdefs.h>

struct QMLTag {

	Q_GADGET
	Q_PROPERTY(QString name READ getName)
	Q_PROPERTY(QString color READ getColor)
	QML_VALUE_TYPE(tag)

  public:
	QString getName();
	QString getColor();

	QString name;
	QString color;
};

#endif
